<p align="center">
  <h1 align="center">Huawei ML Image Flutter Plugin</h1>
</p>


<p align="center">
  <a href="https://pub.dev/packages/huawei_ml_image"><img src="https://img.shields.io/pub/v/huawei_ml_image?style=for-the-badge" alt="pub.dev version"></a>
</p>

----

Flutter ML Kit Image Plugin provides APIs from Huawei ML Kit SDK. The plugin contains following APIs:

- Image Classification
- Image Segmentation
- Landmark Recognition
- Object Detection
- Scene Detection
- Document Skew Correction
- Image Super Resolution
- Text Image Super Resolution

[Learn More](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/image-related-services-0000001073741421?ha_source=hms1)

## Installation

Please see [pub.dev](https://pub.dev/packages/huawei_ml_image/install) and [AppGallery Connect Configuration](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/config-agc-0000001050767061).

## Documentation

- [Quick Start](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/image-related-services-0000001073741421?ha_source=hms1)
- [Reference](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-References/mlimg-overview-0000001237615881?ha_source=hms1)

## Questions or Issues

If you have questions about how to use HMS samples, try the following options:
- [Stack Overflow](https://stackoverflow.com/questions/tagged/huawei-mobile-services) is the best place for any programming questions. Be sure to tag your question with
**huawei-mobile-services**.
- [Github](https://github.com/HMS-Core/hms-flutter-plugin) is the official repository for these plugins, You can open an issue or submit your ideas.
- [Huawei Developer Forum](https://forums.developer.huawei.com/forumPortal/en/home?fid=0101187876626530001) HMS Core Module is great for general questions, or seeking recommendations and opinions.
- [Huawei Developer Docs](https://developer.huawei.com/consumer/en/doc/overview/HMS-Core-Plugin) is place to official documentation for all HMS Core Kits, you can find detailed documentations in there.

If you run into a bug in our samples, please submit an issue to the [GitHub repository](https://github.com/HMS-Core/hms-flutter-plugin).

## License

Huawei ML Image Flutter Plugin is licensed under [Apache 2.0 license](LICENSE)